#!/bin/bash

. _lib.sh

t() {
    PID_S=`vca_canping -s 1 -b -R FF:$RTPRIO -d $CAN0`
    cpufreq-set -f 300MHz
    vca_canping -m 1 -R FF:$RTPRIO -v -g $DRIVER -t 1 -d $CAN0 -w 5 -c 10000
    cpufreq-set -f 2400MHz
    kill $PID_S
}

TESTS="lincan_virtual socketcan_virtual"

PLOT_CMD='
set title "Round-trip time - virtual CAN (`uname -r`, CPU\\@300 MHz)"
set logscale y
set grid
set xlabel "Time [{/Symbol m}s]"
set ylabel "Latency profile [messages]"
plot [0:] "socketcan-virtual-1000.dat" with lp title "Socketcan",\
          "lincan-virtual-1000.dat" with lp title "Lincan"
'

